Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1679)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1682)
@@ -1,4 +1,3 @@
- SUBROUTINE init_grid
-
+!> @file init_grid.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -20,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Code annotations made doxygen readable 
 ! 
 ! Former revisions:
@@ -129,6 +128,8 @@
 ! Description:
 ! ------------
-! Creating grid depending constants
+!> Creating grid depending constants
 !------------------------------------------------------------------------------!
+ SUBROUTINE init_grid
+ 
 
     USE arrays_3d,                                                             &
@@ -172,53 +173,53 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  bh      !:
-    INTEGER(iwp) ::  blx     !:
-    INTEGER(iwp) ::  bly     !:
-    INTEGER(iwp) ::  bxl     !:
-    INTEGER(iwp) ::  bxr     !:
-    INTEGER(iwp) ::  byn     !:
-    INTEGER(iwp) ::  bys     !:
-    INTEGER(iwp) ::  ch      !:
-    INTEGER(iwp) ::  cwx     !:
-    INTEGER(iwp) ::  cwy     !:
-    INTEGER(iwp) ::  cxl     !:
-    INTEGER(iwp) ::  cxr     !:
-    INTEGER(iwp) ::  cyn     !:
-    INTEGER(iwp) ::  cys     !:
-    INTEGER(iwp) ::  gls     !:
-    INTEGER(iwp) ::  i       !:
-    INTEGER(iwp) ::  ii      !:
-    INTEGER(iwp) ::  inc     !:
-    INTEGER(iwp) ::  j       !:
-    INTEGER(iwp) ::  k       !:
-    INTEGER(iwp) ::  l       !:
-    INTEGER(iwp) ::  nxl_l   !:
-    INTEGER(iwp) ::  nxr_l   !:
-    INTEGER(iwp) ::  nyn_l   !:
-    INTEGER(iwp) ::  nys_l   !:
-    INTEGER(iwp) ::  nzb_si  !:
-    INTEGER(iwp) ::  nzt_l   !:
-    INTEGER(iwp) ::  vi      !:
-
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE   ::  vertical_influence  !:
-
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_nl  !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_nr  !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_sl  !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_sr  !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_l     !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_n     !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_r     !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_s     !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_local  !:
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_tmp    !:
-
-    LOGICAL :: flag_set = .FALSE.  !:
-
-    REAL(wp) ::  dx_l          !:
-    REAL(wp) ::  dy_l          !:
-    REAL(wp) ::  dz_stretched  !:
-
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  topo_height  !:
+    INTEGER(iwp) ::  bh      !<
+    INTEGER(iwp) ::  blx     !<
+    INTEGER(iwp) ::  bly     !<
+    INTEGER(iwp) ::  bxl     !<
+    INTEGER(iwp) ::  bxr     !<
+    INTEGER(iwp) ::  byn     !<
+    INTEGER(iwp) ::  bys     !<
+    INTEGER(iwp) ::  ch      !<
+    INTEGER(iwp) ::  cwx     !<
+    INTEGER(iwp) ::  cwy     !<
+    INTEGER(iwp) ::  cxl     !<
+    INTEGER(iwp) ::  cxr     !<
+    INTEGER(iwp) ::  cyn     !<
+    INTEGER(iwp) ::  cys     !<
+    INTEGER(iwp) ::  gls     !<
+    INTEGER(iwp) ::  i       !<
+    INTEGER(iwp) ::  ii      !<
+    INTEGER(iwp) ::  inc     !<
+    INTEGER(iwp) ::  j       !<
+    INTEGER(iwp) ::  k       !<
+    INTEGER(iwp) ::  l       !<
+    INTEGER(iwp) ::  nxl_l   !<
+    INTEGER(iwp) ::  nxr_l   !<
+    INTEGER(iwp) ::  nyn_l   !<
+    INTEGER(iwp) ::  nys_l   !<
+    INTEGER(iwp) ::  nzb_si  !<
+    INTEGER(iwp) ::  nzt_l   !<
+    INTEGER(iwp) ::  vi      !<
+
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE   ::  vertical_influence  !<
+
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_nl  !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_nr  !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_sl  !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_sr  !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_l     !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_n     !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_r     !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_s     !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_local  !<
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_tmp    !<
+
+    LOGICAL :: flag_set = .FALSE.  !<
+
+    REAL(wp) ::  dx_l          !<
+    REAL(wp) ::  dy_l          !<
+    REAL(wp) ::  dz_stretched  !<
+
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  topo_height  !<
 
     
